package main

import (
	"gitea.cdlsxd.cn/sdk/plugin/shared"
	"github.com/hashicorp/go-plugin"
	"plugins/alipay_cpn/internal"
)

func main() {
	plugin.Serve(&plugin.ServeConfig{
		HandshakeConfig: shared.HandshakeConfig(internal.Version, internal.CookieKey, internal.CookieValue),
		Plugins:         shared.PluginSet(shared.NewPlugin(&internal.AlipayCpnService{}, internal.Tag)),
		GRPCServer:      plugin.DefaultGRPCServer,
	})
}
